Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
release-pipelines
Get all release pipelines
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "createdAt": "1684262711507",
      "key": "standard-pipeline",
      "name": "Standard Pipeline",
      "phases": [
        {
          "id": "1234a56b7c89d012345e678f",
          "audiences": [
            {
              "name": "Phase 1 - Testing",
              "environment": {
                "_links": {
                  "self": {
                    "href": "/api/v2/projects/my-project/environments/my-environment",
                    "type": "application/json"
                  }
                },
                "key": "environment-key-123abc",
                "name": "My Environment",
                "color": "F5A623"
              },
              "configuration": {
                "releaseStrategy": "monitoredRelease",
                "requireApproval": true,
                "notifyMemberIds": [
                  "1234a56b7c89d012345e678f"
                ],
                "notifyTeamKeys": [
                  "example-reviewer-team"
                ],
                "releaseGuardianConfiguration": {
                  "monitoringWindowMilliseconds": 60000,
                  "rolloutWeight": 50,
                  "rollbackOnRegression": true,
                  "randomizationUnit": "user"
                }
              },
              "segmentKeys": [
                "segment-key-123abc"
              ]
            }
          ],
          "name": "Phase 1 - Testing",
          "configuration": {}
        }
      ],
      "description": "Standard pipeline to roll out to production",
      "tags": [
        "example-tag"
      ],
      "_version": 1,
      "_access": {
        "denied": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ],
        "allowed": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ]
      },
      "isProjectDefault": true,
      "_isLegacy": true
    }
  ],
  "totalCount": 1
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

Query Parameters

filter
string<string>

A comma-separated list of filters. Each filter is of the form field:value. Read the endpoint description for a full list of available filter fields.

limit
integer<int64>

The maximum number of items to return. Defaults to 20.

offset
integer<int64>

Where to start in the list. Defaults to 0. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

Response

Release pipeline collection

items
object[]
required

An array of release pipelines

totalCount
integer
required

Total number of release pipelines

Example:

1